Outception Docs

get
/v1/organizations/

List organizations the authenticated subject can access. **Scopes**: `organizations:read` `organizations:write`

curl -X GET "https://api.outception.com/v1/organizations/?slug=string&page=1&limit=10&sorting=created_at" \
  -H "Authorization: Bearer $OUTCEPTION_TOKEN" \
  -H "Accept: application/json"

Query parameters

  • slug

    string | null

    Filter by slug.

  • page

    integer

    Page number, defaults to 1.

  • limit

    integer

    Size of a page, defaults to 10. Maximum is 100.

  • sorting

    array<enum> | null

    Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign `-` before the criteria name to sort by descending order.

Response · 200

Successful Response

  • items

    array<Organization>

    required

    • created_at

      string

      required

      Creation timestamp of the object.

    • modified_at

      string | null

      required

      Last modification timestamp of the object.

    • id

      string

      required

      The ID of the object.

    • name

      string

      required

      Organization name shown in emails, etc.

    • slug

      string

      required

      Unique organization slug used in credit card statements.

    • avatar_url

      string | null

      required

      Avatar URL shown in emails, etc.

    • email

      string | null

      required

      Public support email.

    • website

      string | null

      required

      Official website of the organization.

    • socials

      array<OrganizationSocialLink>

      required

      Links to social profiles.

      • platform

        enum

        required

        The social platform of the URL

      • url

        string

        required

        The URL to the organization profile

    • status

      enum

      required

      Current organization status

    • country

      enum | null

      Two-letter country code (ISO 3166-1 alpha-2).

    • capabilities

      OrganizationCapabilities

      required

      Capabilities currently granted to the organization.

      • api_access

        boolean

        required

        Whether the organization can access the API.

      • dashboard_access

        boolean

        required

        Whether the organization can access the dashboard.

  • pagination

    Pagination

    required

    • total_count

      integer

      required

    • max_page

      integer

      required

Errors

  • 422

    Validation Error